function s= formant_synth(a,f,vowel);

global Fs; global SpF;

%the vowel can be 'a' or 'e' or 'i'
if (vowel=='a')          fc=[700 1100 2500]; B=[50 75 100]; 
elseif (vowel=='e')      fc=[500 1850 2500]; B=[50 75 100];
elseif (vowel=='i')      fc=[300 2400 2500]; B=[50 75 100];
else error('Wrong vowel!'); end

%%% construct formant filters (numerators and denominators)
num=zeros(length(fc),3); den=zeros(length(fc),3);
for i=1:length(num) 
    [num(i,:), den(i,:)] = reson2(2*pi/Fs*fc(i), 2*pi/Fs*B(i)); 
end

%%% compute sound %%%
x=waveosc(0,a,f,0,'imp',30);   %impulse train source
s=zeros(1,length(x));
for i=1:size(num,2) s= s + filter(num(i,:),den(i,:),x); end
