global Fs; global SpF;
Fs=22050;  
framelength=0.01;         %frame length (in s)
SpF=round(Fs*framelength);

%%% define controls %%%
a=envgen([0,.1,.5,.9,1],[0,1,.8,1,0],'linear');  % amp. envelope
f=envgen([0,.1,.9,1],[100,120,120,100],'linear'); % pitch envelope
f=f+max(f)*0.05*...                                % add vibrato
  sin(2*pi*5*(SpF/Fs)*[0:length(f)-1]).*hanning(length(f))';

sa=formant_synth(a,f,'a'); %the vowel can be 'a' or 'e' or 'i'
se=formant_synth(a,f,'e'); 
si=formant_synth(a,f,'i'); 
%soundsc(sa,Fs); soundsc(se,Fs); soundsc(si,Fs);
