clear all
close all

global Fs; global SpF;

load flute2_sinan; %contains matrices of sinusoidal parameter trajectories
                   %SineFreq, SineAmp (frequencies and amplitudes)
                   %as well as sampling rate Fs and samples-per-frame SpF

N=size(SineAmp,1); %number of tracked partials
SineAmp_linear = 10.^(SineAmp/20); %SineAmp are in dB

%%%%%%%%%%%%%%%% Transformations %%%%%%%%%%%%%%%%
SineFreq_final=SineFreq; SineAmp_final=SineAmp_linear; SpF_final = SpF;

%%%%%%time stretching
%alpha=2; SpF_final=alpha*SpF;     

%%%%%%pitch shifting
%beta=.8; SineFreq_final=beta*SineFreq; 

%%%%%%partial shifting
%offset=100; SineFreq_final=offset+SineFreq;

%%%%%%partial stretching
%inharm=1.1; for i=1:N; SineFreq_final(i,:)=SineFreq(i,:)*inharm^(i-1); end;

%%%%%%%%%%%%%%% Resynthesis %%%%%%%%%%%%%%%%%%%%%%
s=sin_resynth(SineFreq_final, SineAmp_final);
