global Fs; global SpF; %global variables: sample rate, samples-per-frame

Fs=22050;  
framelength=0.01;          %frame length (in s)
SpF=round(Fs*framelength); %samples per frame

%%%%%% define controls %%%%%%
a=envgen([0,.5,5,10,15,19.5,20],[0,1,1,1,1,1,0]); %fade in/out
f1=envgen([0,20],[200,200]);          %constant freq. envelope
f2=envgen([0,1,5,10,15,20],...        %increasing freq. envelope
         [200,200,205,220,270,300]);
%%%%%% compute sound %%%%%%
s=sinosc(0,a,f1,0)+sinosc(0,a,f2,0);
