%%% to be edited (taken from www.auditory.org/mhonarc/2003/msg00458.html)

bw = 8; % Bandwidth (in FFT bins)
bc = 10; % Freq center (in FFT bins)
d = .5; % Grain density
sz = 512; % FFT size
l = 1000; % FFT frame length

% Make grains
y = sparse( ...
 round( (bw/4)*randn( 1, d*l)+bc), ...
 round( linspace( 1, l, d*l)), ...
 randn( 1, d*l));
y(sz/2+1,l) = 0;

% Do ISTFT
h = hanning( sz);
s = zeros( l*(sz/4)+sz, 1);
for i = 1:l
 z = full( [y(:,i); y(end-1:-1:2,i)]);
 s((i-1)*(sz/4)+1:(i-1)*(sz/4)+sz) = ...
  s((i-1)*(sz/4)+1:(i-1)*(sz/4)+sz) + h.*real( ifft( z));
end

%soundsc( s, 44100)