global Fs; Fs=22050;

gfreq=800;    frange=800;  %grain freqs scattered around grainfreq
glength=0.05; lrange=0.05; %grain lengths scattered around glength
gsigma=0.2;  sigrange=0.1; %gaussian st.dev. scattered around gsigma

slength=2;                      %duration of the entire sound
gdens=100;                      % grain density (=no. of grains per second) 
totgrains=round(slength*gdens); %total no. of grains to be generated

y=zeros(1,(slength+2*glength)*Fs);
for m=0:totgrains-1
    f = gfreq +(rand(1)-.5)*frange;              % grain frequency
    t = round(Fs*(glength+(rand(1)-.5)*lrange)); % grain length (samples)
    d = gsigma +(rand(1)-.5)*sigrange;           %grain st.dev.
    yg = grain(t,f,d);                           %construct grain
    frame = round(m*Fs/gdens) +(1:t); %frame to be written (shifts with m)
    y(frame) = y(frame) + yg;         %add current grain to sound       
end
