function y=psola_timestretch(x,nis,alpha)
%N: block length; nis: pitch marks; alpha: stretch factor; 

P = diff(nis);   %compute pitch periods
%%%%% remove first and last pitch marks %%%&
if( nis(1)<=P(1) )   nis=nis(2:length(nis));  P=P(2:length(P));   end
if( nis(length(nis))+P(length(P))>length(x) ) nis=nis(1:length(nis)-1);
else                                          P=[P P(length(P))]; end                          

y=zeros(1, ceil(length(x)*alpha +max(P)) ); %initialize output signal
nk = P(1)+1;                            %initialize output pitch mark
while round(nk)<length(y)
  [minimum i] = min( abs(alpha*nis - nk) );         %find analysis segment
  xi = x(nis(i)-P(i):nis(i)+P(i)).*hanning(2*P(i)+1); %take analysis frame
  %%%% overlap the frame to the output signal%%%
  y(round(nk)-P(i):round(nk)+P(i)) = y(round(nk)-P(i):round(nk)+P(i))+xi; 
  nk=nk+P(i);
  display('done')
end